from django.conf import settings
from django.dispatch import receiver
from django.db.models.signals import post_save

from . import models


@receiver(post_save, sender=models.Playlist)
def post_save_playlist(sender, instance, created, **kwargs):
    if not instance.json or not instance.mrss:
        instance.json = f'{settings.DOMAIN_NAME}/api/playlist/{instance.id}/'
        instance.mrss = f'{settings.DOMAIN_NAME}/api/playlist/{instance.id}/mrss'
        instance.save()
